Loading...
Searching...
No Matches
BALL::GRAPH::PostOrderFolding< Tree, From, To, Functor > Class Template Reference

`#include <BALL/DATATYPE/GRAPH/graphAlgorithms.h>`

## Public Types

typedef Tree::children_iterator | ChildrenIterator
typedef std::vector< To >::iterator | ArgumentIterator

## Public Member Functions

| PostOrderFolding (Tree &tree, Functor &f)
To | getResult ()
template<class Node>
void | preorder (Node, Tree &)
template<class Node>
void | inorder (Node, Tree &)
template<class Node>
void | postorder (Node n, Tree &t)

## Protected Attributes

boost::shared_ptr< std::vector< To > > | return_stack_
Tree * | tree_
Functor * | f_

## Detailed Description

template<class Tree, class From, class To, class Functor>
class BALL::GRAPH::PostOrderFolding< Tree, From, To, Functor >

Definition at line 325 of file graphAlgorithms.h.

## Member Typedef Documentation

## ArgumentIterator

template<class Tree, class From, class To, class Functor>

typedef std::vector<To>::iterator BALL::GRAPH::PostOrderFolding< Tree, From, To, Functor >::ArgumentIterator

Definition at line 330 of file graphAlgorithms.h.

## ChildrenIterator

template<class Tree, class From, class To, class Functor>

typedef Tree::children_iterator BALL::GRAPH::PostOrderFolding< Tree, From, To, Functor >::ChildrenIterator

Definition at line 328 of file graphAlgorithms.h.

## Constructor & Destructor Documentation

## PostOrderFolding()

template<class Tree, class From, class To, class Functor>

BALL::GRAPH::PostOrderFolding< Tree, From, To, Functor >::PostOrderFolding | ( | Tree & | tree,
|  | Functor & | f )

inline

Definition at line 332 of file graphAlgorithms.h.

## Member Function Documentation

## getResult()

template<class Tree, class From, class To, class Functor>

To BALL::GRAPH::PostOrderFolding< Tree, From, To, Functor >::getResult | ( |  | ) |

inline

Definition at line 340 of file graphAlgorithms.h.

## inorder()

template<class Tree, class From, class To, class Functor>
template<class Node>

void BALL::GRAPH::PostOrderFolding< Tree, From, To, Functor >::inorder | ( | Node | ,
|  | Tree & | )

inline

Definition at line 351 of file graphAlgorithms.h.

## postorder()

template<class Tree, class From, class To, class Functor>
template<class Node>

void BALL::GRAPH::PostOrderFolding< Tree, From, To, Functor >::postorder | ( | Node | n,
|  | Tree & | t )

inline

Definition at line 356 of file graphAlgorithms.h.

## preorder()

template<class Tree, class From, class To, class Functor>
template<class Node>

void BALL::GRAPH::PostOrderFolding< Tree, From, To, Functor >::preorder | ( | Node | ,
|  | Tree & | )

inline

Definition at line 346 of file graphAlgorithms.h.

## Member Data Documentation

## f_

template<class Tree, class From, class To, class Functor>

Functor* BALL::GRAPH::PostOrderFolding< Tree, From, To, Functor >::f_

protected

Definition at line 388 of file graphAlgorithms.h.

## return_stack_

template<class Tree, class From, class To, class Functor>

boost::shared_ptr<std::vector<To> > BALL::GRAPH::PostOrderFolding< Tree, From, To, Functor >::return_stack_

protected

Definition at line 385 of file graphAlgorithms.h.

## tree_

template<class Tree, class From, class To, class Functor>

Tree* BALL::GRAPH::PostOrderFolding< Tree, From, To, Functor >::tree_

protected

Definition at line 387 of file graphAlgorithms.h.